import QtQuick 2.0
import QtQuick.Controls 2.5
import QtQuick.Window 2.15

Window {
	id: doodlingWindow
    color: "#00000000"
    flags: Qt.FramelessWindowHint | Qt.WindowStaysOnTopHint
	width: 400
	height: 300
	minimumWidth: 400
	minimumHeight: 300

	Timer {
		id : timer
		interval: 500; running: false; repeat: false
		onTriggered: {
			text.x = text.x + 50;
		}
	}

	Rectangle {
		anchors.top : parent.top; anchors.left : parent.left; anchors.right : parent.right; anchors.bottom : parent.bottom
        color: "#00000000"

		Rectangle {
			id: text
			anchors.top : testBtn.bottom
			anchors.topMargin: 20
			width:100
			x:0
			height: 40; border.width: 5
            color: "#00000000"
			antialiasing: false
			Text {
                text: "!!Test message Hello~!"
				color: "red"
				anchors.verticalCenter: parent.verticalCenter
			}
		}

		Rectangle {
			id: text2
			anchors.top : text.bottom
			anchors.topMargin: 20
			width:100
			x:0
			height: 40; border.width: 5
			color: "transparent"
			Text {
				text: "Test message Hello~!"
				color: "blue"
				anchors.verticalCenter: parent.verticalCenter
			}
		}

		Button {
			id : testBtn
			anchors.left : parent.left
			anchors.top : parent.top
			anchors.topMargin : 0
			anchors.rightMargin : 10
			text : "move"
			onClicked: {
                text.x = text.x + 50;
            }
		}
	}
}
