#include <QGuiApplication>

#include <QtQuick/QQuickView>
#include <QQmlEngine>
#include <QQmlContext>
#include <QQmlComponent>

int main(int argc, char **argv)
{
    QGuiApplication app(argc, argv);

	QQmlEngine engine;
	QQmlComponent *component = new QQmlComponent( &engine );
	QQmlContext *context = new QQmlContext( engine.rootContext() );
	component->loadUrl( QUrl("qrc:///main.qml"), QQmlComponent::PreferSynchronous );

	QObject *object = component->create( context );
	auto window = qobject_cast<QQuickWindow *>(object);
	window->show();
    return app.exec();
}
